Bug 208641 - global shortcuts set in knotes are not saved
Summary: global shortcuts set in knotes are not saved
Status: RESOLVED FIXED
Alias: None
Product: knotes
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-26 21:45 UTC by FranJPR
Modified: 2011-12-26 00:36 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FranJPR 2009-09-26 21:45:37 UTC
Version:           3.9 (using KDE 4.3.1)
OS:                Linux
Installed from:    Ubuntu Packages

When global shortcuts are set up, they work properly. However when you quit and restart knotes (or shutdown computer and restart again), the defined shortcuts are not saved.
Comment 1 ermonnezza 2011-10-11 16:45:25 UTC
Global shortcuts for knotes never worked for me in KDE4.
Comment 2 ermonnezza 2011-12-02 16:04:06 UTC
Global keyboard shortcuts seem to work as expected in 4.7.2
Comment 3 ermonnezza 2011-12-06 14:29:54 UTC
(In reply to comment #2)
> Global keyboard shortcuts seem to work as expected in 4.7.2

Alas, they don't.
Comment 4 Jekyll Wu 2011-12-26 00:34:25 UTC
Git commit 845789de032d5d2c4826d57a2a0c94a5438c5ddc by Jekyll Wu.
Committed on 25/12/2011 at 14:58.
Pushed by jekyllwu into branch 'master'.

Fix the problme of global shortcuts getting reset to 'None' on restart

REVIEW:103531
Related: bug 208641
Related: bug 239078
Related: bug 268897
FIXED-IN:4.8.0

M  +4    -9    knotes/knotesapp.cpp

http://commits.kde.org/kdepim/845789de032d5d2c4826d57a2a0c94a5438c5ddc
Comment 5 Jekyll Wu 2011-12-26 00:36:46 UTC
Git commit dbcfebc0e6b72a80ba34019457915560bc9d633e by Jekyll Wu.
Committed on 25/12/2011 at 14:58.
Pushed by jekyllwu into branch 'origin/KDE/4.8'.

Fix the problme of global shortcuts getting reset to 'None' on restart

REVIEW:103531
Related: bug 208641
Related: bug 239078
Related: bug 268897
FIXED-IN:4.8.0
(cherry picked from commit 845789de032d5d2c4826d57a2a0c94a5438c5ddc)

M  +4    -9    knotes/knotesapp.cpp

http://commits.kde.org/kdepim/dbcfebc0e6b72a80ba34019457915560bc9d633e